### Property

# Gio Socket:blocking

since: 2.22

#### Declaration

    property blocking: gboolean [ read, write ]

#### Description

Whether I/O on this socket is blocking.

Type: | `gboolean`
Available since: | 2.22

Default value | TRUE
Getter method | `g_socket_get_blocking()`
Setter method | `g_socket_set_blocking()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no